Skip to content

Get CardID translate

Translates the internal card identification in the CMS to the internal card identification in the CP and vice‑versa. Provide either a CMS cardId or a CP cardProcessorId as query parameters to obtain the corresponding identifier.

URL test:

https://test.lightcms.io/cms/v1/cards/convert

Method:

GET

Path items:

/cards

/convert

Parameters:

Parameter Location Type Example Description Required
cardId query integer 40 CMS internal card unique identifier No*
cardProcessorId query string 777826083 CP internal card identifier (processor side) No*

*At least one of the two parameters must be supplied.

Example:

curl -X GET "https://test.lightcms.io/cms/v1/cards/convert?cardId=40" \
     -H 'accept: */*'

Responses:

200 - OK

Status Code: 200 OK

{
  "cardId": 40,
  "cardProcessorId": "777826083"
}
404 - Not Found

Status Code: 404 Not Found

{
  "errorMessage": "Entity with id 40 not found in DB."
}
500 - Internal error

Status Code: 500 Internal error

{
  "timestamp": "2025-07-22T13:09:02.348+02:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/cms/v1/cards/convert"
}